/ai/model/list_all


GET https://api.sitehost.nz/1.5/ai/model/list_all.json

Returns a list of all AI models, with their pricing. Prices are in NZD (excl. GST), per million tokens. available is false when a model is listed but not currently being served. Models marked as trial may not become permanently available.

Query Parameters

ParameterTypeRequiredDescription
client_idintegerYesThe ID for the client.Example: 1
filters[name]stringShow only models whose name contains this value (case-insensitive).Example: qwen
filters[page_size]integerThe number of items to return per page. Defaults to 50.
filters[page_number]integerThe page number to return.

Code Samples

JavaScript PHP Rails Python
var xmlHttp = new XMLHttpRequest();
xmlHttp.open("GET", "https://api.sitehost.nz/1.5/ai/model/list_all.json?apikey=your_key_here&client_id=1&filters[name]=qwen", false);

xmlHttp.send();

var response = xmlHttp.responseText;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.sitehost.nz/1.5/ai/model/list_all.json?apikey=your_key_here&client_id=1&filters[name]=qwen");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
require 'net/http'
require 'uri'

uri = URI.parse("https://api.sitehost.nz/1.5/ai/model/list_all.json?apikey=your_key_here&client_id=1&filters[name]=qwen")
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Get.new(uri.request_uri)

response = http.request(request)
import requests

uri = 'https://api.sitehost.nz/1.5/ai/model/list_all.json?apikey=your_key_here&client_id=1&filters[name]=qwen'

response = requests.get(uri)

Response

200:

application/json
{
    "return": {
        "total_items": 4,
        "current_items": 4,
        "current_page": 1,
        "total_pages": 1,
        "data": [
            {
                "name": "Qwen/Qwen3-VL-Embedding-8B",
                "input_cost": 0.09,
                "output_cost": 0,
                "cached_cost": 0.002,
                "available": true,
                "trial": false
            },
            {
                "name": "Qwen/Qwen3-VL-Reranker-8B",
                "input_cost": 0.11,
                "output_cost": 0,
                "cached_cost": 0.004,
                "available": true,
                "trial": false
            },
            {
                "name": "Qwen/Qwen3.6-27B",
                "input_cost": 0.28,
                "output_cost": 2.76,
                "cached_cost": 0.04,
                "available": true,
                "trial": false
            },
            {
                "name": "Qwen/Qwen3.8-27B",
                "input_cost": 0.28,
                "output_cost": 2.76,
                "cached_cost": 0.04,
                "available": true,
                "trial": true
            }
        ]
    },
    "msg": "Successful",
    "status": true
}